(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.flaregptMetatagsAjax = {
    attach: function (context, settings) {

      setTimeout(function() {
        $('#message-placeholder').text(Drupal.t('Please wait, this can take a few seconds...'));
      }, 4000); // Change message after 2 seconds

      // Second message change after 4 seconds
      setTimeout(function() {
        $('#message-placeholder').text(Drupal.t('You will be redirected shortly...'));
      }, 8000);

      // Second message change after 4 seconds
      setTimeout(function() {
        $('#message-placeholder').text(Drupal.t('Hang on please...'));
      }, 12000);

      $.ajax({
        url: '/node/' + drupalSettings.flaregptMetatags.nodeId + '/flaregpt',
        type: 'GET',
        success: function (data) {
          window.location.href = drupalSettings.flaregptMetatags.redirectUrl;
        },
        error: function () {
          $('#message-placeholder').text(Drupal.t('There was an error. Please check the logs.'));
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
